[API Reference](../README.md) > [ProposeOptions](../interfaces/ProposeOptions.md)

# Interface: ProposeOptions

## Hierarchy

**ProposeOptions**

## Index

### Properties

* [numOfChoices](ProposeOptions.md#numOfChoices)
* [organizationAddress](ProposeOptions.md#organizationAddress)
* [proposalParameters](ProposeOptions.md#proposalParameters)
* [proposerAddress](ProposeOptions.md#proposerAddress)

---

## Properties

<a id="numOfChoices"></a>

###  numOfChoices

**● numOfChoices**: *`number`*

*Defined in [wrappers/iIntVoteInterface.ts:34](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L34)*

___
<a id="organizationAddress"></a>

### `<Optional>` organizationAddress

**● organizationAddress**: *[Address](../#Address)*

*Defined in [wrappers/iIntVoteInterface.ts:40](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L40)*

Typically this is the avatar address, but you can pass any address here, or null, This argument is used to link a proposal-creating scheme with an organisation. If it is not given then it will be set to the `msg.sender`.

___
<a id="proposalParameters"></a>

###  proposalParameters

**● proposalParameters**: *[Hash](../#Hash)*

*Defined in [wrappers/iIntVoteInterface.ts:42](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L42)*

___
<a id="proposerAddress"></a>

### `<Optional>` proposerAddress

**● proposerAddress**: *[Address](../#Address)*

*Defined in [wrappers/iIntVoteInterface.ts:41](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L41)*

___

